pskc_set_device_manufacturer(3)

NAME
pskc_set_device_manufacturer - API function

SYNOPSIS
#include <pskc.h>

void pskc_set_device_manufacturer(pskc_key_t * key, const char * devmfr);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle from, e.g., pskc_add_keypackage().

const char * devmfr
    string with device manufacturer name to set.

DESCRIPTION
Set the PSKC KeyPackage DeviceInfo Manufacturer value. This element indicates the manufacturer of the device. The pointer is stored in container, not a copy of the data, so you must not deallocate the data before another call to this function or the last call to any function using container.

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.